@use 'sass/base';
@use 'sass/color';
@use 'sass/size';
@use 'sass/mixin';

.login-container {
  @include mixin.center-items;
  flex-flow: column nowrap;
  gap: size.$gap;
  position: relative;
  div {
    width: 100%;
    @include mixin.center-items;
    flex-flow: column nowrap;
    .login-title {
      text-transform: uppercase;
      font-weight: 500;
      color: color.$green;
    }
    .login-form > form {
      width: 100%;
      mat-error {
        display: flex;
        flex-flow: row nowrap;
        align-items: center;
        color: color.$red;
        p {
          margin: 10px;
        }
      }
    }
    .action-container {
      @include mixin.center-items(space-between);
      flex-flow: row wrap;
      margin-top: size.$gap;
      div {
        height: 100%;
      }
      .left-container {
        flex: 1 1 0;
        @include mixin.center-items(center, flex-start);
        flex-flow: column nowrap;
        a {
          color: color.$blue;
          cursor: pointer;
        }
      }
      .right-container {
        flex: 0 0 0;
        @include mixin.center-items;
        button {
          width: 100%;
          height: 100%;
          border: none;
          margin: 0;
          line-height: 2.5rem;
          font-size: 0.75rem;
          font-weight: 500;
        }
      }
    }
  }
  .close {
    position: absolute;
    cursor: pointer;
    right: 0;
    top: 0;
    width: size.$text;
    height: size.$text;
    opacity: 0.3;
    &::before,
    &::after {
      position: absolute;
      display: block;
      left: calc(0.5 * #{size.$text} - 0.5 * #{size.$border-width});
      content: '';
      height: size.$text;
      width: size.$border-width;
      background-color: color.$text;
    }
    &::before {
      transform: rotate(45deg);
    }
    &::after {
      transform: rotate(-45deg);
    }
    &:hover {
      opacity: 1;
    }
  }
  .icon {
    width: size.$large-icon;
  }
}

.mat-form-field {
  width: 100%;
}

/*

.centeredIcon {
  display: block;
  width: 20%;
  margin: 2% auto;
}

form > p {
  margin-bottom: 0;
}

.loginButton {
  color: white;
  background-color: mat-color($primaryPalette, 500);
}
.loginButtonGuest {
  color: white;
  background-color: mat-color($secondaryPalette, 300);
  float: right;
}
.action-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0.4rem 0;
}

.errors {
  color: color.$mat-warn;
  font-size: 10px;
  display: inline-flex;
}

.errors p {
  margin-left: 10px;
  margin-top: 5px;
}

button {
  margin: 0.4rem;
}

a {
  outline: none;
  text-decoration: none;
  color: mat-color($primaryPalette, 500);
}

.forgot-password {
  margin: 0.4rem 0;
  a {
    cursor: pointer;
  }
}

.login-guest {
  margin: 0.4rem 0;
}

.redirect-user {
  cursor: pointer;
  color: mat-color($primaryPalette, 500);
}

::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-background,
.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background,
.mat-accent .mat-pseudo-checkbox-checked,
.mat-accent .mat-pseudo-checkbox-indeterminate,
.mat-pseudo-checkbox-checked,
.mat-pseudo-checkbox-indeterminate {
  background-color: mat-color($primaryPalette, 300) !important;
}

.container {
  position: relative;
}

.close {
  position: absolute;
  cursor: pointer;
  right: 0;
  top: 0;
  width: 32px;
  height: 32px;
  opacity: 0.3;
}

.close:hover {
  opacity: 1;
}

.close:before,
.close:after {
  position: absolute;
  left: 15px;
  content: ' ';
  height: 33px;
  width: 2px;
  background-color: #333;
}

.close:before {
  transform: rotate(45deg);
}

.close:after {
  transform: rotate(-45deg);
}

.loginFormTitle {
  text-align: center;
  text-transform: uppercase;
  color: mat-color($secondaryPalette, 500);
}
.login {
  width: 40%;
  margin: 18px;
  align-self: center;
  background-color: color.$green;
}
*/
